import org.roboid.core.*;
import processing.hamster.*;
import org.roboid.robot.*;

int NUM_ROBOTS = 4;
Hamster[] hamsters = new Hamster[NUM_ROBOTS];

void setup() {
  size(200,200);
  noStroke();
  for(int i = 0; i < NUM_ROBOTS; ++i) {
    hamsters[i] = Hamster.create(this);
  }
  Task.waitUntilReady();
}

void draw() {
  background(255);
  fill(0);
  text("MultipleHandFollower", 10, 16);
}

void repeat() {
  int leftProximity, rightProximity;
  int leftWheel, rightWheel;
  for(int i = 0; i < NUM_ROBOTS; ++i) {
    leftProximity = hamsters[i].leftProximity();
    rightProximity = hamsters[i].rightProximity();

    // left wheel
    if(leftProximity > 15) {
      leftWheel = (40 - leftProximity) * 4;
    } else {
      leftWheel = 0;
    }

    // right wheel
    if(rightProximity > 15) {
      rightWheel = (40 - rightProximity) * 4;
    } else {
      rightWheel = 0;
    }
    
    hamsters[i].wheels(leftWheel, rightWheel);
  }
}